package org.dromara.system.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 请假附件对象 ask_leave_fj
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ask_leave_fj")
public class AskLeaveFj extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 请假主表id
     */
    private Long leaveId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 备注
     */
    private String remark;


}
