package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 注册-学校-附件对象 register_school_file
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("register_school_file")
public class RegisterSchoolFile extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 学校ID
     */
    private Long schoolId;

    /**
     * 学校部门id
     */
    private Long deptId;

    /**
     * 附件名称
     */
    private String name;

    /**
     * 附件地址
     */
    private String url;

    /**
     * 地址类型
     */
    private String type;

    /**
     * 备注
     */
    private String remark;


}
