package org.dromara.system.domain.pay;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 教职工工资条对象 xiaoyuan_pay
 *
 * @author boman
 * @date 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_pay")
public class XiaoyuanPay extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 新闻ID
     */
    @TableId(value = "pay_id")
    private Long payId;

    /**
     * 教职工姓名
     */
    private String teacherName;

    /**
     * 教职工id
     */
    private Long teacherId;

    /**
     * 教职工工号
     */
    private String teacherNum;

    /**
     * 表头
     */
    private String tableHead;

    /**
     * 内容
     */
    private String tableDetail;

    /**
     * 发放时间
     */
    private String payTime;

    private String year;
    private String month;

    /**
     * 备注
     */
    private String remark;


}
