package org.dromara.system.domain.score;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 成绩_成绩详情id对象 score_data_detail
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("score_data_detail")
public class ScoreDataDetail extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 成绩表_成绩详情id
     */
    @TableId(value = "score_detail_id")
    private Long scoreDetailId;

    /**
     * 成绩表id
     */
    private Long scoreId;

    /**
     * 排序
     */
    private int scoreSort;

    /**
     * 姓名
     */
    private String scoreDataName;

    /**
     * 学生姓名id
     */
    private Long scoreDataNameId;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 学科
     */
    private String xueke;

    /**
     * 成绩
     */
    private Double score;

    /**
     * 满分
     */
    private String manfen;

    /**
     * 备注
     */
    private String remark;
    /**
     * 学科平均分
     */
    private String avg;

}
