package org.dromara.system.domain.score;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 成绩满分对象 score_data_mf
 *
 * @author boman
 * @date 2023-08-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("score_data_mf")
public class ScoreDataMf extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 学科满分id
     */
    @TableId(value = "mf_id")
    private Long mfId;

    /**
     * 成绩表id
     */
    private Long scoreId;

    /**
     * 学科
     */
    private String xueke;

    /**
     * 满分
     */
    private String manfen;

    /**
     * 平均分
     */
    private String avg;

    /**
     * 备注
     */
    private String remark;


}
