package org.dromara.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.CourseChange;
import org.dromara.system.domain.bo.CourseChangeBo;
import org.dromara.system.domain.vo.CourseChangeVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 调课Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface CourseChangeMapper extends BaseMapperPlus<CourseChange, CourseChangeVo> {


    List<CourseChangeVo> selectCourseChangeListByTime(@Param("monthFirst") String monthFirst, @Param("userId")Long userId, @Param("deptId")Long deptId);

    List<CourseChangeVo> selectCourseChangeListByEdit(@Param("classId")String classId, @Param("fist")String fist, @Param("five")String five);
}
