package org.dromara.system.mapper.info;

import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.info.InfoPingLun;
import org.dromara.system.domain.info.bo.InfoPingLunBo;
import org.dromara.system.domain.info.vo.InfoPingLunVo;

import java.util.List;

/**
 * @Author: tjf
 * @Date: 2023/8/18 10:14
 * @Describe:
 */
public interface InfoPingLunMapper extends BaseMapperPlus<InfoPingLun, InfoPingLunVo> {
    /**
     * 批量新增校园安全信息评论
     *
     * @param infoPingLunList 校园安全信息评论列表
     * @return 结果
     */
    public int batchInfoPingLun(List<InfoPingLunBo> infoPingLunList);
    public int deletePingLun(InfoPingLunBo infoPingLunBo);
}
