package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * APP版本描述对象 update_app
 *
 * @author boman
 * @date 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("update_app")
public class UpdateApp extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 系统：Android：安卓系统，Apple：苹果系统
     */
    private String model;

    /**
     * 版本名称
     */
    private String name;

    /**
     * 版本号
     */
    private String code;

    /**
     * 版本描述
     */
    private String description;

    /**
     * 下载地址
     */
    private String path;

    /**
     * 是否有效 N：失效 Y：有效
     */
    private String isDel;


}
