package org.dromara.system.domain.pay.bo;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.pay.XiaoyuanPay;

/**
 * 教职工工资条业务对象 xiaoyuan_pay
 *
 * @author boman
 * @date 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = XiaoyuanPay.class, reverseConvertGenerate = false)
public class XiaoyuanPayBo extends BaseEntity {

    /**
     * 新闻ID
     */

    private Long payId;

    /**
     * 教职工姓名
     */

    private String teacherName;

    /**
     * 教职工id
     */

    private Long teacherId;
    /**
     * 教职工手机号
     */
    private String teacherNum;

    /**
     * 表头
     */

    private String tableHead;

    /**
     * 内容
     */
    //@NotBlank(message = "内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String tableDetail;

    /**
     * 发放时间
     */
    private String payTime;
    private String year;
    private String month;


    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
