package org.dromara.system.domain.score;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 成绩_子学生id对象 score_data_student
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("score_data_student")
public class ScoreDataStudent extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 成绩表_子表学生id
     */
    @TableId(value = "score_student_id")
    private Long scoreStudentId;

    /**
     * 成绩表id
     */
    private Long scoreId;

    /**
     * 排序
     */
    private int scoreSort;

    /**
     * 姓名
     */
    private String scoreDataName;

    /**
     * 学生姓名id
     */
    private Long scoreDataNameId;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 总分
     */
    private Double zongfen;

    /**
     * 平均分
     */
    private String avg;

    /**
     * 是否查看 N:否 Y:是
     */
    private String detailsType;

    /**
     * 备注
     */
    private String remark;


}
