package org.dromara.system.domain.score.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.score.ScoreDataDetail;

import java.io.Serial;
import java.io.Serializable;



/**
 * 成绩_成绩详情id视图对象 score_data_detail
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ScoreDataDetail.class)
public class ScoreDataDetailVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 成绩表_成绩详情id
     */
    @ExcelProperty(value = "成绩表_成绩详情id")
    private Long scoreDetailId;

    /**
     * 成绩表id
     */
    @ExcelProperty(value = "成绩表id")
    private Long scoreId;

    /**
     * 排序
     */
    @ExcelProperty(value = "排序")
    private int scoreSort;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String scoreDataName;

    /**
     * 学生姓名id
     */
    @ExcelProperty(value = "学生姓名id")
    private Long scoreDataNameId;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 学科
     */
    @ExcelProperty(value = "学科")
    private String xueke;

    /**
     * 成绩
     */
    @ExcelProperty(value = "成绩")
    private Double score;

    /**
     * 满分
     */
    @ExcelProperty(value = "满分")
    private String manfen;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    /**
     * 学科平均分
     */
    private String avg;

}
