package org.dromara.system.domain.vo;

import org.dromara.system.domain.AskLeaveFj;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 请假附件视图对象 ask_leave_fj
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AskLeaveFj.class)
public class AskLeaveFjVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 请假主表id
     */
    @ExcelProperty(value = "请假主表id")
    private Long leaveId;

    /**
     * 附件名称
     */
    @ExcelProperty(value = "附件名称")
    private String name;

    /**
     * 附件地址
     */
    @ExcelProperty(value = "附件地址")
    private String url;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
