package org.dromara.system.mapper;

import org.dromara.system.domain.CourseTableTime;
import org.dromara.system.domain.vo.CourseTableTimeVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 课程-时间Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface CourseTableTimeMapper extends BaseMapperPlus<CourseTableTime, CourseTableTimeVo> {

    List<CourseTableTimeVo> selectCourseTableTimeBySchoolId(Long schoolId);

}
