package org.dromara.system.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.OrientationInfo;
import org.dromara.system.domain.vo.OrientationInfoVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

/**
 * 定位信息Mapper接口
 *
 * @author boman
 * @date 2023-08-30
 */
public interface OrientationInfoMapper extends BaseMapperPlus<OrientationInfo, OrientationInfoVo> {

    Page<OrientationInfoVo> selectVoMapperPage(@Param("page")Page<Object> build,  @Param(Constants.WRAPPER)LambdaQueryWrapper<OrientationInfo> lqw);
}
