package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.dromara.system.domain.SysTenant;
import org.dromara.system.domain.vo.SysTenantVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 租户Mapper接口
 *
 * @author Michelle.Chung
 */
public interface SysTenantMapper extends BaseMapperPlus<SysTenant, SysTenantVo> {

    @InterceptorIgnore(tenantLine = "1")
    List<SysTenantVo> selectVoListByUserName(String userName);
}
