package org.dromara.system.mapper.notice;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.system.domain.notice.XiaoyuanNotice;
import org.dromara.system.domain.notice.bo.XiaoyuanNoticeBo;
import org.dromara.system.domain.notice.vo.XiaoyuanNoticeVo;

import java.util.List;


/**
 * 校园新闻Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface XiaoyuanNoticeMapper extends BaseMapperPlus<XiaoyuanNotice, XiaoyuanNoticeVo> {
    Page<XiaoyuanNoticeVo> selectXiaoyuanNoticeByMyCollect(@Param("page") Page<XiaoyuanNotice> page, @Param(Constants.WRAPPER) Wrapper<XiaoyuanNoticeBo> queryWrapper);

    public List<XiaoyuanNoticeVo> selectXiaoyuanNoticeMyList(XiaoyuanNotice xiaoyuanNotice);

}
