package org.dromara.system.mapper.score;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.score.ScoreDataDetail;
import org.dromara.system.domain.score.vo.ScoreDataDetailVo;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 成绩_成绩详情idMapper接口
 *
 * @author boman
 * @date 2023-08-17
 */
public interface ScoreDataDetailMapper extends BaseMapperPlus<ScoreDataDetail, ScoreDataDetailVo> {

    @InterceptorIgnore(tenantLine = "true")
    List<ScoreDataDetailVo> selectListByStudentNumberList(@Param("studentNumberList") List<String> studentNumberList, @Param("scoreId") Long scoreId);
}
