package org.dromara.system.mapper.score;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.score.ScoreData;
import org.dromara.system.domain.score.vo.ScoreDataVo;

import java.util.List;

/**
 * 成绩Mapper接口
 *
 * @author boman
 * @date 2023-08-17
 */
public interface ScoreDataMapper extends BaseMapperPlus<ScoreData, ScoreDataVo> {

   List<ScoreDataVo> classRank (ScoreData scoreData);

    List<ScoreDataVo> avgRank (ScoreData scoreData);

}
