package org.dromara.system.mapper.xiake;


import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.xiake.XiakeConfig;
import org.dromara.system.domain.xiake.bo.XiakeConfigBo;
import org.dromara.system.domain.xiake.vo.XiakeConfigVo;
import org.springframework.data.repository.query.Param;

/**
 * 下课时间配置Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface XiakeConfigMapper extends BaseMapperPlus<XiakeConfig, XiakeConfigVo> {
    public XiakeConfigVo selectConfig(XiakeConfigBo config);
    public XiakeConfigVo checkConfigKeyUnique(@Param("configKey") String configKey);
    public int updateConfigByKey(XiakeConfigBo bo);
}
